<?php
namespace App\Smarty\Functions;

class BspPeriodLabel
{

	static public function create($params, $smarty)
	{

		// CHECK INPUT --------------------------------------------------------------------------------
		$defaultOutput = '';
		if ($params['default']) {
			$defaultOutput = $params['default'];
		}

		// GET BANK DETAILS ---------------------------------------------------------------------------
		// bsp period object reference
		if (is_object($params['ref']) and get_class($params['ref'])=='Entity\BspPeriod') {
			$bspPeriod = $params['ref'];
		}
		// bsp period id
		elseif ( is_numeric($params['ref']) and $params['ref']>0 ) {
			$bspPeriod = \Entity\BspPeriod::select($params['ref']);
			if (!$bspPeriod->recordExists()) {
				return $defaultOutput;
			}
		}
		// something invalid
		else {
			return $defaultOutput;
		}

		// STORE BANK DETAILS IN AN OUTPUT PARAMETER ($params['assign']) ------------------------------
		if ($params['assign']) {
			$smarty->assign($params['assign'], $bspPeriod);
			return '';
		}

		// CHECK OUTPUT FORMAT ------------------------------------------------------------------------
		if ($params['hideLink']) {
			return $bspPeriod->getId();
		}
		else {
			return sprintf("<span class=\"remoteLoadLink\" onclick=\"RemoteLoad.loadEntity(this, '%s', '%s');\">#%s</span>",
				'bspPeriod',
				$bspPeriod->getId(),
				$bspPeriod->getId());
		}
	}

}